SFML 3.0.2
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::SoundFileReader::Info Struct Reference

Structure holding the audio properties of a sound file. More...

`#include <SFML/Audio/SoundFileReader.hpp>`

## Public Attributes

std::uint64_t | sampleCount {}
| Total number of samples in the file.
unsigned int | channelCount {}
| Number of channels of the sound.
unsigned int | sampleRate {}
| Samples rate of the sound, in samples per second.
std::vector< SoundChannel > | channelMap
| Map of position in sample frame to sound channel.

## Detailed Description

Structure holding the audio properties of a sound file.

Definition at line 55 of file SoundFileReader.hpp.

## Member Data Documentation

## ◆ channelCount

unsigned int sf::SoundFileReader::Info::channelCount {}

Number of channels of the sound.

Definition at line 58 of file SoundFileReader.hpp.

## ◆ channelMap

std::vector<SoundChannel> sf::SoundFileReader::Info::channelMap

Map of position in sample frame to sound channel.

Definition at line 60 of file SoundFileReader.hpp.

## ◆ sampleCount

std::uint64_t sf::SoundFileReader::Info::sampleCount {}

Total number of samples in the file.

Definition at line 57 of file SoundFileReader.hpp.

## ◆ sampleRate

unsigned int sf::SoundFileReader::Info::sampleRate {}

Samples rate of the sound, in samples per second.

Definition at line 59 of file SoundFileReader.hpp.

The documentation for this struct was generated from the following file:

- SoundFileReader.hpp